<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <include
        android:id="@+id/appBarDetailTransaction"
        layout="@layout/app_bar"/>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvmethodePayment"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/appBarDetailTransaction"
        app:cardElevation="2dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        android:padding="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_height="wrap_content"
            android:layout_width="match_parent"
            android:layout_margin="10dp">

            <TextView
                android:id="@+id/jenisTransfer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:text=""
                android:textColor="@android:color/black"
                android:textSize="18sp"
                tools:text="@tools:sample/full_names"/>

            <TextView
                android:id="@+id/statusPayment"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:text=""
                android:textSize="12sp"
                android:textColor="@android:color/black"
                tools:text="@tools:sample/full_names"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvdetailTransaksi"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/cvmethodePayment"
        app:cardElevation="2dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        android:padding="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_height="wrap_content"
            android:layout_width="match_parent"
            android:layout_margin="10dp">

                        <TextView
                            android:id="@+id/titleDetail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            android:text="Transaction Detail"
                            android:textColor="@android:color/black"
                            android:textSize="18sp"/>

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/lvDetail"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toBottomOf="@id/titleDetail"
                            android:layout_marginTop="10dp"/>

                        <TextView
                            android:id="@+id/txtAdminFee"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toBottomOf="@id/lvDetail"
                            app:layout_constraintStart_toStartOf="parent"
                            android:text="Admin Fee"
                            android:textSize="12sp"
                            android:layout_marginTop="10dp"/>

                        <TextView
                            android:id="@+id/adminFee"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toBottomOf="@id/lvDetail"
                            app:layout_constraintEnd_toEndOf="parent"
                            android:text="Admin Fee"
                            android:textSize="12sp"
                            android:layout_marginTop="10dp"/>

                        <TextView
                            android:id="@+id/txtGross"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toBottomOf="@id/txtAdminFee"
                            app:layout_constraintStart_toStartOf="parent"
                            android:text="Gross Amount"
                            android:textSize="18sp"
                            android:layout_marginTop="20dp"/>

                        <TextView
                            android:id="@+id/grossAmount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toBottomOf="@id/adminFee"
                            app:layout_constraintEnd_toEndOf="parent"
                            android:text="Rp."
                            android:textSize="18sp"
                            android:layout_marginTop="10dp"/>



        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvMethodePaymentDetail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/cvdetailTransaksi"
        app:cardElevation="2dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        android:padding="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_height="wrap_content"
            android:layout_width="match_parent"
            android:layout_margin="10dp">

            <TextView
                android:id="@+id/txtMethode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:text="Payment Methode"
                android:textColor="@android:color/black"
                android:textSize="18sp"/>

            <TextView
                android:id="@+id/jenisMethod"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toBottomOf="@id/txtMethode"
                app:layout_constraintStart_toStartOf="parent"
                android:text=""
                android:textSize="12sp"
                android:textColor="@android:color/black"
                android:layout_marginTop="20dp"
                tools:text="@tools:sample/full_names"/>

            <TextView
                android:id="@+id/mtdGrossAmount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintTop_toBottomOf="@id/txtMethode"
                app:layout_constraintEnd_toEndOf="parent"
                android:text=""
                android:textSize="12sp"
                android:textColor="@android:color/black"
                android:layout_marginTop="20dp"
                tools:text="@tools:sample/full_names"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/btnConfirm"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="Confirmation"
        android:padding="15dp"
        android:textSize="16sp"
        android:layout_margin="10dp"
        app:layout_constraintBottom_toBottomOf="parent"

        />

</androidx.constraintlayout.widget.ConstraintLayout>